|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectcom.tonbeller.wcf.controller.RequestFilter
Informs RequestListeners of incoming request. If a nextView attribute is present
in the current request, it will forward to that. Otherwise the filter chain is executed.
| Field Summary | |
static java.lang.String |
CONTEXT
Name of the Request Attribute containing the Request.getRequestURI |
static java.lang.String |
FORCE_INDEX_JSP
if the session attribute FORCE_INDEX_JSP exists, then the client will be redirected to index.jsp |
static java.lang.String |
RESET_RANDOM_SEED
If this request parameter is present, the DomUtils.randomId() will be reset once. |
| Constructor Summary | |
RequestFilter()
|
|
| Method Summary | |
void |
destroy()
|
void |
doFilter(javax.servlet.ServletRequest req,
javax.servlet.ServletResponse res,
javax.servlet.FilterChain chain)
|
void |
init(javax.servlet.FilterConfig config)
|
static void |
setForceIndexJsp(javax.servlet.http.HttpSession session,
boolean b)
|
static void |
setSessionIsNew(javax.servlet.http.HttpSession session,
boolean isNew)
|
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
public static final java.lang.String CONTEXT
public static final java.lang.String FORCE_INDEX_JSP
public static final java.lang.String RESET_RANDOM_SEED
| Constructor Detail |
public RequestFilter()
| Method Detail |
public void init(javax.servlet.FilterConfig config)
throws javax.servlet.ServletException
init in interface javax.servlet.Filterjavax.servlet.ServletException
public void doFilter(javax.servlet.ServletRequest req,
javax.servlet.ServletResponse res,
javax.servlet.FilterChain chain)
throws java.io.IOException,
javax.servlet.ServletException
doFilter in interface javax.servlet.Filterjava.io.IOException
javax.servlet.ServletException
public static void setSessionIsNew(javax.servlet.http.HttpSession session,
boolean isNew)
public static void setForceIndexJsp(javax.servlet.http.HttpSession session,
boolean b)
public void destroy()
destroy in interface javax.servlet.Filter
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||